<h2>Edit <?= $spell['name'] ?></h2>

<form action="/admin/spells/<?= $spell['id'] ?>" method="post", hx-post="/admin/spells/<?= $spell['id'] ?>" hx-target="#main">
    <table>
		<colgroup><col><col></colgroup>
		<tbody>
        <tr>
            <td>ID</td>
            <td><?= $spell['id'] ?></td>
        </tr>
        <tr>
            <td>Name</td>
            <td><input type="text" name="name" value="<?= $spell['name'] ?>"></td>
        </tr>
        <tr>
            <td>MP</td>
            <td>
                <input type="number" name="mp" value="<?= $spell['mp'] ?>">
                <br>
                <span class="small">MP required to cast spell.</span>
            </td>
        </tr>
        <tr>
            <td>Attribute</td>
            <td>
                <input type="number" name="attribute" value="<?= $spell['attribute'] ?>">
                <br>
                <span class="small">Numeric value of the spell's effect. Ties with type, below.</span>
            </td>
        </tr>
        <tr>
            <td>Type</td>
            <td>
                <select name="type">
                    <option value="1" <?= $spell['type'] == 1 ? 'selected' : '' ?>>Heal</option>
                    <option value="2" <?= $spell['type'] == 2 ? 'selected' : '' ?>>Hurt</option>
                    <option value="3" <?= $spell['type'] == 3 ? 'selected' : '' ?>>Sleep</option>
                    <option value="4" <?= $spell['type'] == 4 ? 'selected' : '' ?>>Uber Attack</option>
                    <option value="5" <?= $spell['type'] == 5 ? 'selected' : '' ?>>Uber Defense</option>
                </select>
                <br>
                <span class="small">
                    - Heal gives player back [attribute] hit points.<br>
                    - Hurt deals [attribute] damage to monster.<br>
                    - Sleep keeps monster from attacking ([attribute] is monster's chance out of 15 to stay asleep each turn).<br>
                    - Uber Attack increases total attack damage by [attribute] percent.<br>
                    - Uber Defense increases total defense from attack by [attribute] percent.
                </span>
            </td>
        </tr>
		</tbody>
    </table>

	<button type="submit">Save</button>
	<button type="reset">Reset</button>
</form>
